### Class

# Pos VirtualKeyboard

since: 0

#### Description [src]

    final class Pos.VirtualKeyboard : GObject.Object
    {
      /* No available fields */
    }

A Wayland virtual keyboard that gets its keymaps from GNOME. It’s not concerned with any rendering.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### pos_virtual_keyboard_new

No description available.

since: 0

#### Instance methods

###### pos_virtual_keyboard_press

No description available.

since: 0

###### pos_virtual_keyboard_release

No description available.

since: 0

###### pos_virtual_keyboard_set_keymap

Sets the given keymap.

since: 0

###### pos_virtual_keyboard_set_modifiers

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.VirtualKeyboard:wl-seat

No description available.

since: 0

###### Pos.VirtualKeyboard:wl-virtual-keyboard-manager

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PosVirtualKeyboardClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.